package com.company.forum.entity;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;

@Table(name = "FORUM_DEVICE")
@Entity(name = "forum_Device")
public class Device extends StandardEntity {
    private static final long serialVersionUID = -3170064698967669376L;

    @Lookup(type = LookupType.DROPDOWN, actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "DEVICE_TYPE_ID")
    protected DeviceType deviceType;

    @Column(name = "MEMO")
    protected String memo;

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public DeviceType getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(DeviceType deviceType) {
        this.deviceType = deviceType;
    }
}