package com.company.forum.entity;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;

@Table(name = "FORUM_EVENT")
@Entity(name = "forum_Event")
public class Event extends StandardEntity {
    private static final long serialVersionUID = -5222817755819841645L;

    @Lookup(type = LookupType.DROPDOWN, actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "DEVICE_ID")
    protected Device device;

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }
}